# Class Upgrade

java.lang.Object
org.apache.tomcat.util.http.parser.Upgrade

public class Upgrade extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProtocolName()`
  `String`
  `getProtocolVersion()`
  `static List<Upgrade>`
  `parse(Enumeration<String> headerValues)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getProtocolName

    public String getProtocolName()

  - ### getProtocolVersion

    public String getProtocolVersion()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### parse

    public static List<Upgrade> parse(Enumeration<String> headerValues)